#include <iostream>
#include <stdio.h>

using namespace std;


int main()
{
    double maks=0;
    double pare;
    double privremeni_procenat;
    int n;
    cin>>n;
    double niz_para[n];
    double nov_niz[n];
    for(int i=0;i<n;i++)
    {
        niz_para[i]=0;
    }
    double procenat[n];
    int zarada[n];

    for(int i=0;i<n;i++)
    {
        cin>>zarada[i]>>procenat[i];
    }
    for(int i=0;i<n;i++)
    {
        privremeni_procenat=procenat[i];
        for(int j=0;j<n;j++)
        {
            if(procenat[j]>=privremeni_procenat)
            {
                niz_para[i]+=zarada[j];
            }
        }
        nov_niz[i]=niz_para[i]*(privremeni_procenat/100);
    }
    for(int i=0;i<n;i++)
    {
        if(nov_niz[i]>=maks)
        {
            maks=nov_niz[i];
        }
    }
    printf("%f", maks);
}